Skip to main content
PATCH
/
api
/
v1
/
projects
/
{project_slug}
/
apps
/
{app_slug}
Update App
curl --request PATCH \
  --url https://api.example.com/api/v1/projects/{project_slug}/apps/{app_slug} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "framework": "<string>"
}
'
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', framework: '<string>'})
};

fetch('https://api.example.com/api/v1/projects/{project_slug}/apps/{app_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.example.com/api/v1/projects/{project_slug}/apps/{app_slug}"

payload = {
"name": "<string>",
"description": "<string>",
"framework": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "framework": "<string>",
  "icon": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_slug
string
required
app_slug
string
required

Body

application/json
name
string | null
description
string | null
framework
string | null

Response

200 - application/json

OK

id
string<uuid>
required
project_id
string<uuid>
required
name
string
required
slug
string
required
description
string
required
framework
string
required
icon
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required